#set -x

if [ ! -f fw.tar.gz.sig ]; then
	echo "RUNME: CANNOT FIND FW SIGNATURE!" >>/tmp/upgrade_result
	rm * -rf >/dev/null 2>&1
	exit 4
fi
openssl dgst -sha256 -verify /etc/hiveon-pub.pem -signature fw.tar.gz.sig fw.tar.gz >/dev/null 2>&1
res=$?
if [ $res -ne 0 ]; then
	echo "RUNME: CANNOT VERIFY FW !" >>/tmp/upgrade_result
	rm * -rf >/dev/null 2>&1
	exit 5
fi

tar zxvf fw.tar.gz -C /tmp >/dev/null 2>&1
rm fw.tar.gz
cd /tmp
sh runme.sh
sync >/dev/null 2>&1
